SELECT t.TABLE_NAME
FROM
    INFORMATION_SCHEMA.TABLES t
WHERE
    t.TABLE_NAME IN (
        'ColumnTranslation'
        , 'ObjectTranslation'
        , 'TableFormats'
        , 'EventHandlers'
        , 'ParameterValues'
        , 'QueryList'
        )
ORDER BY
    t.TABLE_NAME;
GO
