﻿
-- Inserting phone numbers if not exist
-- Updating ContactPhone is not necessary, so it is commented

--INSERT ContactPhone (ID, Phone)
--SELECT
--  d.ContactID
--  , MIN(s.SourcePhone) AS Phone
--FROM
--    SourceContacts s
--  INNER JOIN SourceContactID d ON d.[Source] = s.[Source] AND d.SourceID = s.SourceID
--    LEFT OUTER JOIN ContactPhone c ON c.ID = d.ContactID
--WHERE
--    s.SourcePhone IS NOT NULL
--GROUP BY
--    d.ContactID
--HAVING
--    MAX(c.ID) IS NULL;
--GO

-- Inserting contact websites by domain if websites are not in the Websites table
-- Updating ContactWebsite is not necessary, so it is commented

--INSERT ContactWebsite (ID, Website)
--SELECT
--  c.ID
--    , 'www.' + LOWER(SUBSTRING(c.email, CHARINDEX('@', c.email) + 1, 255)) AS Website
--FROM
--    ContactEmail c
--    LEFT OUTER JOIN Websites w ON w.Domain = LOWER(SUBSTRING(c.email, CHARINDEX('@', c.email) + 1, 255))
--    LEFT OUTER JOIN ContactWebsite t ON t.ID = c.ID
--WHERE
--    c.Email IS NOT NULL
--    AND t.ID IS NULL            -- No contact website yet
--    AND w.Domain IS NULL        -- Website not in Websites;
--GO

-- Inserting contact websites as domains from the Websites table
-- Updating ContactWebsite is not necessary, so it is commented

--INSERT ContactWebsite (ID, Website)
--SELECT
--  c.ID
--    , w.Website
--FROM
--    ContactEmail c
--    INNER JOIN Websites w ON w.Domain = LOWER(SUBSTRING(c.email, CHARINDEX('@', c.email) + 1, 255))
--    LEFT OUTER JOIN ContactWebsite t ON t.ID = c.ID
--WHERE
--    c.Email IS NOT NULL
--    AND t.ID IS NULL            -- No contact website yet
--    AND w.Domain IS NOT NULL    -- Website in Websites;
--GO

-- Inserting companies if not exist
-- Updating ContactCompany is not necessary, so it is commented

--INSERT ContactCompany (ID, Company)
--SELECT
--  d.ContactID
--  , MIN(s.SourceCompany) AS Company
--FROM
--    SourceContacts s
--    INNER JOIN SourceContactID d ON d.[Source] = s.[Source] AND d.SourceID = s.SourceID
--    LEFT OUTER JOIN ContactCompany c ON c.ID = d.ContactID
--WHERE
--    s.SourceCompany IS NOT NULL
--GROUP BY
--    d.ContactID
--HAVING
--    MAX(c.ID) IS NULL;
--GO

-- Inserting JobTitles if not exist
-- Updating ContactJobTitle is not necessary, so it is commented

--INSERT ContactJobTitle (ID, JobTitle)
--SELECT
--  d.ContactID
--  , MIN(s.SourceJobTitle) AS JobTitle
--FROM
--    SourceContacts s
--    INNER JOIN SourceContactID d ON d.[Source] = s.[Source] AND d.SourceID = s.SourceID
--    LEFT OUTER JOIN ContactJobTitle c ON c.ID = d.ContactID
--WHERE
--    s.SourceJobTitle IS NOT NULL
--GROUP BY
--    d.ContactID
--HAVING
--    MAX(c.ID) IS NULL;
--GO
