-- Using Maxros Example
-- July 15, 2014

-- This SQL code must be executed after SaveToDB Framework installation!

CREATE TABLE [Contacts] (
    [ID] int NOT NULL IDENTITY,
    [FirstName] nvarchar(255), 
    [LastName] nvarchar(255),
    CONSTRAINT [PK_Contacts] PRIMARY KEY ([ID])
);
GO

INSERT INTO [Contacts] ([FirstName],[LastName]) VALUES ('John','Doe');
GO
INSERT INTO [Contacts] ([FirstName],[LastName]) VALUES ('Jane','Roe');
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES (NULL,'Contacts','TABLE',NULL,NULL,NULL);
GO

INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'Actions','SayHello','Say Hello','MACRO',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'Actions','Sheet1.SayHello','Say Hello from Sheet1','MACRO',NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'Actions','AppMacros.xlsm!SayHello','Say Hello from AppMacros.xlsm','MACRO',NULL,13,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu','SayHello1 {FirstName}','Say Hello to {FirstName}','MACRO',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu','SayHello2 {FirstName}, {LastName}','Say Hello to {FirstName} {LastName}','MACRO',NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu',NULL,'MenuSeparator1','MENUSEPARATOR',NULL,20,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu','Sheet1.SayHello1 {FirstName}','Say Hello to {FirstName} from Sheet1','MACRO',NULL,21,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu','Sheet1.SayHello2 {FirstName}, {LastName}','Say Hello to {FirstName} {LastName} from Sheet1','MACRO',NULL,22,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu',NULL,'MenuSeparator2','MENUSEPARATOR',NULL,30,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu','''AppMacros.xlsm''!SayHello1 {FirstName}','Say Hello to {FirstName} from AppMacros.xlsm','MACRO',NULL,31,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Contacts',NULL,'ContextMenu','AppMacros.xlsm!SayHello2 {FirstName}, {LastName}','Say Hello to {FirstName} {LastName} from AppMacros.xlsm','MACRO',NULL,32,NULL);
GO

-- print The using macros example has been installed
